/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log:	audit_data.c,v $
 * Revision 1.1.4.3  92/03/27  13:18:01  Sec_Proj_Michael_Fairbrother
 * 	Need to add aud_config and aud_unconfig.
 * 	[92/03/21  11:19:04  Sec_Proj_Michael_Fairbrother]
 * 
 * Revision 1.1.4.2  92/02/28  21:24:37  Sec_Proj_Michael_Fairbrother
 * 	merge of security changes with hal changes
 * 	[91/12/10  09:42:59  Michael_Fairbrother]
 * 
 * $EndLog$
 */
#ifndef lint
static char *rcsid = "@(#)$RCSfile: audit_data.c,v $ $Revision: 1.1.4.3 $ (DEC) $Date: 92/03/27 13:18:01 $";
#endif
#include "sec_base.h"
#if SEC_BASE

#include "audit.h"

/* 
 * Audit link time configurability file
 *
 * Stubs to allow system to build if system is not build with 
 * audit configured in.
 */

#if AUDIT == 0

#include <sec/include_sec>

struct audit_control aud_cont;

audinit() {}
audstub_exit()	{}
audstub_pathname(char *path, int len) {}
auddisable()
{
	return (0);
}
audstub_rdwr1(enum uio_rw mode, int fdes) {}
audstub_dac(int new, uid_t uid, gid_t gid, mode_t mode) {}
audit_mltplx(register int syscall) {}
audstub_symlink(char *head, char *tail, int taillen, char *link, int linklen) {}
audit_setup(register int syscall, unsigned long habitat)
{
	AIP->si_audit_flags = 0;
	return;
}
audit_pathbuf_free() {}
audit(int *args, int error, int *retval) {}
void *
aud_config(module, version)
char    *module;                /* module/habitat name  */
char    *version;               /* revision     */
{
        return (void *)(-1);
}

void *
aud_unconfig(cookie)
unsigned long cookie;
{
        return (void *)(0);
}


#if SEC_MAC || SEC_NCAV
audstub_levels(tag_t *tags) {}
audstub_namei(struct vnode *vp) {}
audstub_getf(struct file *fp) {}
#endif

#endif	/* AUDIT */
#endif  /* SEC_BASE */
